%define module_name	rtl8192
%define module_release	alt1
%define module_version  0018.1025

%define kversion	2.6.32
%define krelease	alt20.M50P.1
%define flavour		std-pae

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release.132640.20.M50P.1

Summary: Kernel module for Realtek rtl8192 chipsets

License: GPLv2
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux

BuildRequires(pre): rpm-build-kernel
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name = %module_version

Provides: kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
Requires: firmware-rtl8192 
ExclusiveArch: %ix86

%description
This is a driver for the Realtek 819x 802.11 b/g/n chips.

These are modules for ALT Linux system.

%prep
tar -jxf %kernel_src/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%__make CC=gcc-$GCC_VERSION KSRC=%_usrsrc/linux-%kversion-%flavour

%install
mkdir -p %buildroot/%module_dir/extra/
install -m644 -D HAL/rtl8192/*.ko %buildroot/%module_dir/extra/

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%module_dir

%changelog
* Fri Dec 17 2010 Michail Yakushin <silicium@altlinux.ru> 0018.1025-alt1.132640.20.M50P.1
- Build for kernel-image-std-pae-2.6.32-alt20.M50P.1.

* Fri Dec 10 2010 Michail Yakushin <silicium@altlinux.ru> 0018.1025-alt1
- 18.1025 

* Tue Sep 14 2010 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0017.0705-alt1
- 0017.0705 

* Fri May 28 2010 Anton V. Boyarshinov <boyarsh@altlinux.ru> 0015.0127-alt1
- initial build


